Package org.apache.commons.dbutils.handlers

## Class AbstractListHandler<T>

- java.lang.Object
- - org.apache.commons.dbutils.handlers.AbstractListHandler<T>

- Type Parameters:
    `T` - the target List generic type
  All Implemented Interfaces:
    `ResultSetHandler<List<T>>`
  Direct Known Subclasses:
    `ArrayListHandler`, `ColumnListHandler`, `MapListHandler`

      public abstract class AbstractListHandler<T>
      extends Object
      implements ResultSetHandler<List<T>>

  Abstract class that simplify development of `ResultSetHandler` classes that convert `ResultSet` into `List`.
  See Also:
    `ResultSetHandler`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractListHandler()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<T>` | `handle​(ResultSet resultSet)` | Whole `ResultSet` handler.
    `protected abstract T` | `handleRow​(ResultSet resultSet)` | Row handler.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractListHandler

          public AbstractListHandler()

  - ### Method Detail

    - #### handle

          public List<T> handle​(ResultSet resultSet)
                         throws SQLException

      Whole `ResultSet` handler. It produce `List` as result. To convert individual rows into Java objects it uses `handleRow(ResultSet)` method.
      Specified by:
        `handle` in interface `ResultSetHandler<T>`
      Parameters:
        `resultSet` - `ResultSet` to process.
      Returns:
        a list of all rows in the result set
      Throws:
        `SQLException` - error occurs
      See Also:
        `handleRow(ResultSet)`

    - #### handleRow

          protected abstract T handleRow​(ResultSet resultSet)
                                  throws SQLException

      Row handler. Method converts current row into some Java object.
      Parameters:
        `resultSet` - `ResultSet` to process.
      Returns:
        row processing result
      Throws:
        `SQLException` - error occurs